#ifndef PERL_HEADER
#define PERL_HEADER

#ifdef __cplusplus
extern "C"{ 
#endif

int perl_init(int argc, char **argv);
void perl_execute_line(int cid, const char *cmd);
void perl_execute_cmd(void* cmd, int keep);
void perl_auth(int cid, const char* password);
int perl_cyclemap();
void c_start_vote(int cid, const char* command);
void perl_client_enter(int cid);
void perl_client_disconnect(int cid);
void perl_server_send_chat(int cid, int target, const char* text, int bind);
void perl_server_set_team(int cid, int team);
void perl_server_start_round();
void perl_server_end_round();

#ifdef __cplusplus
}
#endif

#endif
